---
tags: repos
templateEngineOverride: md
title: ember-select-light
description: The simplest Ember <select> there is.
date: 2020-11-05
pinned: true
---

[Fork from Github](https://github.com/ember-a11y/ember-select-light)

ember-select-light is an Ember Addon focused on simplicity. Just powerful enough to offer expected baseline functionality while being easy to implement, style, and make accessible.

![ember-select-light can be easily styled with Tailwind](/img/content/ember-select-light-tailwind-animated.gif)

This addon is [Octane ready](https://emberjs.com/editions/octane/) and follows [ember-component-pattern's for how to best write a Select Element](https://emberjs-1.gitbook.io/ember-component-patterns/form-components/select-element). Additionally, it was coded completely with TDD (Test-Driven Design) so you can expect quality test coverage!

## Getting Started

```bash
ember install ember-select-light
```

### Example Usage

```handlebars
<SelectLight
  @value="turtle"
  @options=(array "turtle" "tortoise")
  @change={{action "handleChange"}} />
```

[Far more examples are available on GitHub](https://github.com/ember-a11y/ember-select-light).

